#
# spec file for package xen-cim-cmpi (Version 0.2.0)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cim-schema coreutils cpio cpp cracklib curl cvs cyrus-sasl db diffutils e2fsprogs e2fsprogs-devel file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libgssapi libidn libmudflap libnscd libstdc++ libtool libxcrypt libxml2 libxml2-devel libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openslp openssl openwbem openwbem-devel pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xen xen-devel xen-libs zlib zlib-devel


Name:           xen-cim-cmpi
BuildRequires:  e2fsprogs-devel libxml2-devel openwbem-devel xen-devel
Url:            http://www.novell.com
License:        LGPL v2.1 or later
Group:          System/Management
AutoReqProv:    yes
Version:        0.2.0
Release:        0.9
Summary:        CMPI-based CIM Provider for Xen Virtualization Technology
PreReq:         /usr/bin/loadmof.sh
Source0:        %{name}-%{version}.tar.bz2
Source1:        %{name}-mof.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       cim-schema >= 2.17
Requires:       libxml2
Requires:       openwbem
Requires:       openwbem-smash-providers
Requires:       xen-libs
ExclusiveArch:  %ix86 x86_64

%description
This package contains a Xen provider for use with any CIMOM providing
the CMPI provider interface. This provider implements the preliminary
virtualization model currently being defined by the DMTF System
Virtualization, Partitioning, and Clustering Working Group (SVPC WG).
The provider is used to manage the Xen Hypervisor via CIM.



Authors:
--------
    Jim Fehlig <jfehlig@novell.com>
    Gareth Bestor <bestorga@us.ibm.com>

%debug_package
%prep
%setup

%build
export CFLAGS="$RPM_OPT_FLAGS"
%configure
make

%install
%{__rm} -rf $RPM_BUILD_ROOT
%makeinstall
%{__rm} -f $RPM_BUILD_ROOT/usr/%_lib/cmpi/*.{a,la}
%{__rm} -f $RPM_BUILD_ROOT/usr/share/%{name}/*.{mof,registration}
%{__rm} -f $RPM_BUILD_ROOT/usr/share/%{name}/provider-register.sh
MOFDIR=$RPM_BUILD_ROOT/usr/share/mof/%{name}
install -d $MOFDIR
tar jxv -C $MOFDIR -f %{S:1}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig > /dev/null 2>&1
MOFDIR=/usr/share/mof/%{name}
loadmof.sh -n root/cimv2 $MOFDIR/xen-cim-cmpi.mof
loadmof.sh -n Interop $MOFDIR/xen-cim-cmpi-interop.mof
loadmof.sh -n smash $MOFDIR/xen-cim-cmpi-smash.mof

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc README AUTHORS COPYING
%dir /usr/%_lib/cmpi
/usr/%_lib/cmpi/*.so*
%dir /usr/share/mof/%{name}
/usr/share/mof/%{name}/*.mof
#%dir /usr/share/doc/%{name}
#/usr/share/doc/%{name}/*

%changelog
* Tue Mar 25 2008 - jfehlig@novell.com
- Provide default options when invoking migration via Xen API.
  bnc#371805
* Tue Mar 11 2008 - jfehlig@novell.com
- Provide default value for HVM_boot_policy.  bnc#368273
* Wed Feb 27 2008 - jfehlig@novell.com
- Redirect output of "xend status" to /dev/null.  bnc #365336
* Thu Jan 31 2008 - jfehlig@novell.com
- Added observation of 'crashed' vm power state
* Fri Jan 11 2008 - jfehlig@novell.com
- Fix bug #270328 - wrong version reported by
  Xen_VirtualSystemManagementService
* Thu Jan 10 2008 - jfehlig@novell.com
- Removed DMTF schema contained in package that is now included
  in CIM v2.17
- Cleanup compilation warnings
* Fri Dec 21 2007 - jfehlig@novell.com
- Updated mof files
* Tue Dec 18 2007 - jfehlig@novell.com
- Updates for Memory Resource Virtualization Profile v0.9.1
- Fixes for RemoveResourceSettings() extrinsic method
* Tue Dec 11 2007 - jfehlig@novell.com
- Implemented Virtual System Migration Profile, DSP1081.
- Fixed some minor issues discovered during SVPC Interop
  Event held in conjunction with Management Developers
  Conference.
- Implemented ModifyResourceSettings() and RemoveResourceSettings()
  extrinsic operation on VirtualSystemManagementService.  Note that
  only a subset of the resource types are supported, e.g.
  ballooning memory, removing disks, etc.
* Wed Nov 28 2007 - jfehlig@novell.com
- Limit capabilites for dom0 as advertised through
  Xen_ComputerSystemCapabilities.
* Tue Nov 27 2007 - jfehlig@novell.com
- Bug #270615
  - Implemented default instance operations for associations. NB:
  EnumInstances and EnumInstanceNames may return an empty
  enumeration for some associations.
* Tue Nov 20 2007 - jfehlig@novell.com
- Updated SVPC providers
  - Ported all providers to 'cmpilify' abstraction
  - Updated to version 1.0.0 of DSP1042 and DSP1057
  - Added readonly support for local disk and network pools
* Fri Apr 20 2007 - jfehlig@novell.com
- Added patch memory_settings.patch.  This patch updates
  Xen_MemoryPool to accurately report free memory available to
  guests - bug #266821.
* Fri Mar 30 2007 - jfehlig@novell.com
- Added support for specifying APIC, ACPI, PAE, etc. settings
  for HVM guests - bug #253637
- Changed syntax of VirtualSystemType property to coincide with
  the strings found in xen_caps.
- Implemented support for Reboot in
  Xen_ComputerSystem.RequestStateChange.  Support for reset already
  existed - added Reboot with same semantics.
- Added support for specifying VIF model in
  Xen_VirtualSystemManagementService.DefineSystem - bug #257624.
* Fri Mar 09 2007 - jfehlig@novell.com
- Fixed handling of Xen_ConsoleSettingData.URI property - bug #252396
- Added support in providers for handling CIM instances from cimom
  for method parameters marked EmbeddedInstance - bug #195192
- Consistent with c/s 92 of os-cmpi-xen.hg mercurial repo
* Fri Mar 02 2007 - jfehlig@novell.com
- More implementation of FATE feature 110320.
- Better support for creating HVM guests.
- Better support for paravirtual frame buffer via CIM.
- Consistent wit c/s 90 of os-cmpi-xen.hg mercurial repo.
* Fri Feb 16 2007 - jfehlig@novell.com
- Updated provider code to match recent changes in Xen-API VIF class.
- Implemented workaround for OpenWBEM bug #238538.
- Consistent wit c/s 82 of os-cmpi-xen.hg mercurial repo.
* Fri Feb 02 2007 - jfehlig@novell.com
- Implementation for parts of FATE feature 110320
- Fix xend session handling - bug #236556
- Consistent with c/s 80 of os-cmpi-xen.hg mercurial repo.
* Fri Jan 19 2007 - jfehlig@novell.com
- Updated to version 0.7.3 of DMTF System Virtualization Profile.
- Changed InstanceID property of all SettingData classes to
  implement the preferred DMTF algorithm.
- Updated SVPC schema headers following DMTF approval of SVPCCR00042.
- Removed withdrawn SVPC schema from mof files.
- Consistent with c/s 59 of os-cmpi-xen.hg mercurial repo.
* Fri Jan 12 2007 - jfehlig@novell.com
- Updated to version 0.7.7 of DMTF SVPC Virtual System Profile.
- Versioned all provider libraries.
- Consistent with c/s 52 of os-cmpi-xen.hg mercurial repo.
* Mon Jan 08 2007 - jfehlig@novell.com
- Optimized connection and session handling with Xend.
* Mon Jan 01 2007 - jfehlig@novell.com
- Updated for first submission to SLES10 SP1.  This submission
  implements FATE features 110314, 110315, 110318, 110319, 110320,
  110321, 110322, 110323, 110326, 110327, 110328, 110335, 110336,
  110338, 300194, and 301551.
* Tue Oct 24 2006 - jfehlig@novell.com
- Updated to new release, version 0.1.1.
* Tue Aug 29 2006 - jfehlig@novell.com
- Update to the initial version, adding profile registration.
* Wed Aug 16 2006 - jfehlig@novell.com
- Added ExclusiveArch tag so as to only build on x86 and x86_64
* Tue Aug 15 2006 - jfehlig@novell.com
- initial submission of xen-cim-cmpi package, version 0.1.0
